curl --request GET \
--url https://api-sandbox.synctera.com/v0/monitoring/alerts/{alert_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/monitoring/alerts/{alert_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/monitoring/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"monitoring_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"source": "MONITORING_SUBSCRIPTION",
"status": "ACTIVE",
"title": "Ireland Competition and Consumer Protection Commission Criminal Court Cases",
"type": "BANKRUPTCY",
"urls": [
"https://example.com/alert-document-1",
"https://example.com/alert-document-2"
],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Retrieve a monitoring alert
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for this monitoring alert.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
A single monitoring alert.
Unique ID for the business. Exactly one of business_id or person_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date and time the resource was created.
"2010-05-06T12:23:34.321Z"
Unique identifier for this alert.
The date and time the resource was last update.
"2010-05-06T12:23:34.321Z"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
Unique identifier for the monitoring event that produced this alert.
Unique ID for the person. Exactly one of person_id or business_id must be set.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
How the alert was produced. Any of the following:
MONITORING_SUBSCRIPTION– produced by an event from an ongoing monitoring subscription.SANCTIONS_SCREENING– produced by a point-in-time sanctions screening.
MONITORING_SUBSCRIPTION, SANCTIONS_SCREENING The status of the alert. Any of the following:
ACTIVE– alert has been issued and should be investigated.SUPPRESSED– alert is a false positive, alert should be dismissed, or has been otherwise investigated.
ACTIVE, SUPPRESSED A description of the monitoring alert.
"Ireland Competition and Consumer Protection Commission Criminal Court Cases"
The type of customer alert. Any of the following:
WATCHLIST– the customer was added to a known watchlist.BANKRUPTCY– the customer filed for bankruptcy.NEGATIVE_NEWS– the customer was mentioned in negative news articles.LICENSE_VALIDITY– the license is no longer valid. Exmaple of this would be if a license was suspended
BANKRUPTCY, LICENSE_VALIDITY, NEGATIVE_NEWS, WATCHLIST Where to get more information about this alert.
[
"https://example.com/alert-document-1",
"https://example.com/alert-document-2"
]
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Vendor Info
- Vendor Info
Show child attributes
Show child attributes
Was this page helpful?

